Some of the strings of the proxy UI are not localizable

RESOLVED FIXED in 0.1.3

Status

Instantbird
Account manager
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Assigned: Romain BEZUT)

Tracking

Dependency tree / graph

Details

(Whiteboard: [0.2-blocking])

Attachments

(2 attachments, 2 obsolete attachments)

(Reporter)

Description

4 years ago
*** Original post on bio 100 at 2008-08-13 21:13:00 UTC ***

the files proxies.xul proxies.js proxy.xml accountWizard.js accountWizard.xul account.xul and account.js contain hardcoded strings, they should be localizable (in .dtd or .properties files)
(Reporter)

Updated

4 years ago
Blocks: 953464
(Assignee)

Comment 1

4 years ago
Created attachment 8351809 [details] [diff] [review]
en-US localization & spaces / tabs fix

*** Original post on bio 100 as attmnt 65 at 2008-08-17 23:18:00 UTC ***

Localization is done,
I also removed some extra spaces on end of line, and replaced a lot of tab chars.
Attachment #8351809 - Flags: review?
(Assignee)

Updated

4 years ago
Assignee: florian → romain
Status: NEW → ASSIGNED
(Assignee)

Comment 2

4 years ago
Created attachment 8351811 [details] [diff] [review]
patch V2

*** Original post on bio 100 as attmnt 67 at 2008-08-18 15:07:00 UTC ***

same things, but corrected the typeMapping, and added proxies.properties in the patch file.
Attachment #8351811 - Flags: review?
(Assignee)

Comment 3

4 years ago
Comment on attachment 8351809 [details] [diff] [review]
en-US localization & spaces / tabs fix

*** Original change on bio 100 attmnt 65 at 2008-08-18 15:07:10 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351809 - Attachment is obsolete: true
Attachment #8351809 - Flags: review?
(Reporter)

Comment 4

4 years ago
Comment on attachment 8351811 [details] [diff] [review]
patch V2

*** Original change on bio 100 attmnt 67 at 2008-08-18 15:37:24 UTC ***

>Index: instantbird/base/content/instantbird/account.xul

>+            <button id="proxySettings"
>+                    label="&account.proxySettings.change.label;" accesskey="&account.proxySettings.change.accessKey;"
>                     oncommand="account.openProxySettings();"/>

This line is too long. Put the accesskey attribute on the next line?
There is another instance of this in accountWizard.xul.

>Index: instantbird/base/content/instantbird/proxy.xml
>===================================================================
>--- instantbird/base/content/instantbird/proxy.xml	(revision 279)
>+++ instantbird/base/content/instantbird/proxy.xml	(working copy)
>@@ -78,26 +78,32 @@
>          <![CDATA[
>            this._proxy = val;
> 
>-           // FIXME L10n
>+           var bundle = document.getElementById("proxiesBundle");
>            var typeMapping = { };

This line is now useless, with your changes. Please remove it :).

>+           var type;
>+           if (this._proxy.type == Ci.purpleIProxyInfo.httpProxy)
>+             typr = bundle.getString("proxies.http");
                  ^
Please fix the typo here.


>            this._element("port").textContent = "Port: " + this._proxy.port;

This should be translated, it's a formatted string.

>            var usernameElt = this._element("username");
>            var username = this._proxy.username;
>            if (username)
>-             usernameElt.textContent = "Username: " + this._proxy.username;
>+             usernameElt.textContent = bundle.getString("proxies.username.label") + this._proxy.username;

This looks like it is a formatted string too. Anyway it is too long so either split it in 2 lines (after the "+") or change it to a formatted string.

Looks good otherwise.
Attachment #8351811 - Flags: review? → review-
(Assignee)

Comment 5

4 years ago
Created attachment 8351812 [details] [diff] [review]
patch V3

*** Original post on bio 100 as attmnt 68 at 2008-08-18 17:00:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351812 - Flags: review?
(Assignee)

Comment 6

4 years ago
Comment on attachment 8351811 [details] [diff] [review]
patch V2

*** Original change on bio 100 attmnt 67 at 2008-08-18 17:00:48 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351811 - Attachment is obsolete: true
(Reporter)

Comment 7

4 years ago
Comment on attachment 8351812 [details] [diff] [review]
patch V3

*** Original change on bio 100 attmnt 68 at 2008-08-18 19:45:29 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351812 - Flags: review? → review+
(Reporter)

Comment 8

4 years ago
*** Original post on bio 100 at 2008-08-18 20:38:13 UTC ***

Envoi          instantbird/base/content/instantbird/account.js
Envoi          instantbird/base/content/instantbird/account.xul
Envoi          instantbird/base/content/instantbird/accountWizard.js
Envoi          instantbird/base/content/instantbird/accountWizard.xul
Envoi          instantbird/base/content/instantbird/proxies.js
Envoi          instantbird/base/content/instantbird/proxies.xul
Envoi          instantbird/base/content/instantbird/proxy.xml
Envoi          instantbird/locales/en-US/chrome/instantbird/account.dtd
Envoi          instantbird/locales/en-US/chrome/instantbird/accountWizard.dtd
Envoi          instantbird/locales/en-US/chrome/instantbird/proxies.dtd
Ajout          instantbird/locales/en-US/chrome/instantbird/proxies.properties
Transmission des donnees ...........
Revision 281 propagee.

Fixed, thanks!
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
(Reporter)

Comment 9

4 years ago
*** Original post on bio 100 at 2008-08-21 10:18:21 UTC ***

*** Failed to get string proxies.directConnexion in bundle: chrome://instantbird/locale/proxies.properties
JavaScript error: , line 0: uncaught exception: [Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIStringBundle.GetStringFromName]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: XStringBundle :: getString :: line 17"  data: no]

Huh... did you test the patch before attaching it?
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Reporter)

Comment 10

4 years ago
Created attachment 8351814 [details] [diff] [review]
follow up

*** Original post on bio 100 as attmnt 70 at 2008-08-21 11:51:00 UTC ***

Fix the jar manifest...
(Reporter)

Comment 11

4 years ago
*** Original post on bio 100 at 2008-08-21 12:09:23 UTC ***

Pushed as 269:8898fd7a9802.
Status: REOPENED → RESOLVED
Last Resolved: 4 years ago4 years ago
Resolution: --- → FIXED
(Reporter)

Updated

4 years ago
Depends on: 953566
(Reporter)

Updated

4 years ago
Target Milestone: 0.2 → 0.1.3

Updated

4 years ago
Whiteboard: [0.2-blocking]
You need to log in before you can comment on or make changes to this bug.